GeeCON Prague 2014*
The moose likes Beginning Java and the fly likes Debian + J2RE1.41: Can't run JAR-File Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


JavaRanch » Java Forums » Java » Beginning Java
Bookmark "Debian + J2RE1.41: Can Watch "Debian + J2RE1.41: Can New topic
Author

Debian + J2RE1.41: Can't run JAR-File

Sven Bolt
Greenhorn

Joined: Dec 05, 2002
Posts: 4
Hello,
when I try to run a XML-Editor by
"java -jar xmpro2.jar" I get (these are just the first few lines):
UIDefaults.getUI() failed: no ComponentUI class for: javax.swing.JPanel[,0,0,0x0,invalid,layout=java.awt.FlowLayout,alignmentX=null,alignmentY=null,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]
java.lang.Error
at javax.swing.UIDefaults.getUIError(UIDefaults.java:686)
at javax.swing.UIDefaults.getUI(UIDefaults.java:716)
at javax.swing.UIManager.getUI(UIManager.java:784)
at javax.swing.JPanel.updateUI(JPanel.java:105)
at javax.swing.JPanel.<init>(JPanel.java:64)
at
Any ideas what to do?
Thank you
Sven Bolt
Sven Bolt
Greenhorn

Joined: Dec 05, 2002
Posts: 4
Hi,
to everyone with the same problem: installing java-common should solve it.
Sven Bolt
 
GeeCON Prague 2014
 
subject: Debian + J2RE1.41: Can't run JAR-File